x020090_g_scriptId = 020090

x020090_g_PosX = 87
x020090_g_PosZ = 81.22
x020090_g_FaceDir = 1.57   

--死亡回调
function x020090_OnObjDie(scene, objId, rolebaseId, killerId)
	local boss = GetCopyScenePersonBossRoleBaseId(scene)
	if boss == rolebaseId then
		
		SetCopySceneSuccess(scene)
	end
end

--副本Tick
function x020090_OnCopySceneTick(scene,tickCount)
	if tickCount == 0 then
		local rolebaseId = GetCopyScenePersonBossRoleBaseId(scene)
		if rolebaseId < 0 then
			SetCopySceneSuccess(scene)
		end

		CreateMonster(scene, rolebaseId, x020090_g_FaceDir, x020090_g_PosX, x020090_g_PosZ)
	end
end